Bug 191536 - swt bug: buttons on ON_TOP shells aren't clickable
Summary: swt bug: buttons on ON_TOP shells aren't clickable
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ben Konrath
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 189582
TreeView+ depends on / blocked
 
Reported: 2006-05-12 19:30 UTC by Anthony Green
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: libswt3-gtk2-3.1.2-1jpp_15fc
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-06-01 16:13:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kludgy patch (690 bytes, patch)
2006-05-24 13:15 UTC, Anthony Green
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Eclipse Project 142861 None None None Never

Description Anthony Green 2006-05-12 19:30:05 UTC
Description of problem:
This was found in Azureus.  The following page contains a sample program
that creates an ON_TOP shell with a close buttont on it.  The close button
doesn't not appear to be receiving mouse events.
http://www.java2s.com/Code/Java/SWT-JFace-Eclipse/SWTShellcreateanonrectangularwindow.htm

Version-Release number of selected component (if applicable):
libswt3-gtk2-3.1.2-1jpp_13fc


How reproducible:
Always

Steps to Reproduce:
1.Compile and run the referenced test case.
2.
3.
  
Actual results:
Window with close button appears.  Close button doesn't work.

Expected results:
Close button should work.

Additional info:

Comment 1 Anthony Green 2006-05-19 18:11:09 UTC
Rolling gtk2 back to gtk2-2.8.15-1 solves the problem.


Comment 2 Anthony Green 2006-05-24 13:15:21 UTC
Created attachment 129928 [details]
Kludgy patch

This patch (suggested by the upstream bugzilla) seems to solve the problem.

Comment 3 Ben Konrath 2006-06-01 15:26:44 UTC
I added the patch to the latest FC5 update (3.1.2-1jpp_15fc). Can you please
verify that this is fixed and close the bug if is? Thanks.

Comment 4 Anthony Green 2006-06-01 16:13:10 UTC
Yes, this is fixed - thanks!   



Note You need to log in before you can comment on or make changes to this bug.